## org.eclipse.emf.codegen.jmerge
Class JControlModel

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel
          org.eclipse.emf.codegen.jmerge.JControlModel

Deprecated. in 2.2.0. Use `JControlModel` instead.

    @Deprecated
    public class JControlModel

extends JControlModel

A control model that provides dictionaries and rules to drive a merge process.

Nested Class Summary
`static class` `JControlModel.DictionaryPattern` Deprecated. in 2.2.0. Use `JControlModel.DictionaryPattern` instead.
`static class` `JControlModel.Feature` Deprecated. in 2.2.0. Use `JControlModel.Feature` instead.
`static class` `JControlModel.PullRule` Deprecated. in 2.2.0. Use `JControlModel.PullRule` instead.
`static class` `JControlModel.SortRule` Deprecated. in 2.2.0. Use `JControlModel.SortRule` instead.
`static class` `JControlModel.SweepRule` Deprecated. in 2.2.0. Use `JControlModel.SweepRule` instead.

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.merge.java.JControlModel
`JControlModel.MatchRule, JControlModel.PushRule`

Field Summary
`protected static java.lang.String` `CLASS_PREFIX` Deprecated.
`protected java.lang.String` `classPrefix`

Fields inherited from class org.eclipse.emf.codegen.merge.java.JControlModel
`blockPattern, dictionaryPatterns, facadeHelper, indent, indentIsSet, matchRules, NO_PARAMETER_TYPES, noImportPattern, pullRules, pushRules, redirect, sortRules, standardBraceStyle, standardBraceStyleIsSet, sweepRules`

Constructor Summary
`JControlModel(org.w3c.dom.Element element)` Deprecated.
`JControlModel(java.lang.String uri)` Deprecated. This creates an instance.

Method Summary
`boolean` `canMerge()` Deprecated.
`static java.lang.Class` `classForClassName(java.lang.String className)` Deprecated. in 2.2.0. Use `JControlModel.classForClassName(String, String)` instead.
`protected JControlModel.DictionaryPattern` `createDictionaryPattern(java.lang.String classPrefix, org.w3c.dom.Element elementChild)` Deprecated.
`protected JControlModel.PullRule` `createPullRule(java.lang.String classPrefix, org.w3c.dom.Element elementChild)` Deprecated.
`protected JControlModel.SortRule` `createSortRule(java.lang.String classPrefix, org.w3c.dom.Element elementChild)` Deprecated.
`protected JControlModel.SweepRule` `createSweepRule(java.lang.String classPrefix, org.w3c.dom.Element elementChild)` Deprecated.
`java.lang.String` `getClassPrefix()`
`protected void` `setClassPrefix(java.lang.String classPrefix)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.JControlModel
`classForClassName, convertToStandardBraceStyle, createMatchRule, createPushRule, getBlockPattern, getDictionaryPatterns, getFacadeHelper, getLeadingTabReplacement, getMatchRules, getNoImportPattern, getPullRules, getPushRules, getRedirect, getSortRules, getSweepRules, initialize, initialize, initialize, setConvertToStandardBraceStyle, setFacadeHelper, setLeadingTabReplacement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_PREFIX

    protected static final java.lang.String CLASS_PREFIX

  Deprecated.
  See Also:
    Constant Field Values

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel

    public JControlModel(java.lang.String uri)

  Deprecated.
  This creates an instance.

### JControlModel

    public JControlModel(org.w3c.dom.Element element)

  Deprecated.

Method Detail

### classForClassName

    @Deprecated
    public static java.lang.Class classForClassName(java.lang.String className)

  Deprecated. in 2.2.0. Use `JControlModel.classForClassName(String, String)` instead.

### canMerge

    public boolean canMerge()

  Deprecated.
  Overrides:
    `canMerge` in class `JControlModel`

### createDictionaryPattern

    protected JControlModel.DictionaryPattern createDictionaryPattern(java.lang.String classPrefix,
                                                                      org.w3c.dom.Element elementChild)

  Deprecated.
  Overrides:
    `createDictionaryPattern` in class `JControlModel`

### createPullRule

    protected JControlModel.PullRule createPullRule(java.lang.String classPrefix,
                                                    org.w3c.dom.Element elementChild)

  Deprecated.
  Overrides:
    `createPullRule` in class `JControlModel`

### createSweepRule

    protected JControlModel.SweepRule createSweepRule(java.lang.String classPrefix,
                                                      org.w3c.dom.Element elementChild)

  Deprecated.
  Overrides:
    `createSweepRule` in class `JControlModel`

### createSortRule

    protected JControlModel.SortRule createSortRule(java.lang.String classPrefix,
                                                    org.w3c.dom.Element elementChild)

  Deprecated.
  Overrides:
    `createSortRule` in class `JControlModel`

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.